com.hazelcast.instance

## Class Node

- java.lang.Object
- - com.hazelcast.instance.Node

-     @PrivateApi
      public class Node
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Node.NodeShutdownHookThread`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Address` | `address` Member-to-member address only.
    `com.hazelcast.client.impl.ClientEngine` | `clientEngine`
    `com.hazelcast.internal.cluster.impl.ClusterServiceImpl` | `clusterService`
    `com.hazelcast.internal.dynamicconfig.DynamicConfigurationAwareConfig` | `config`
    `DiscoveryService` | `discoveryService`
    `HazelcastInstanceImpl` | `hazelcastInstance`
    `LoggingServiceImpl` | `loggingService`
    `com.hazelcast.internal.cluster.impl.MulticastService` | `multicastService`
    `NetworkingService` | `networkingService`
    `com.hazelcast.spi.impl.NodeEngineImpl` | `nodeEngine`
    `com.hazelcast.internal.partition.impl.InternalPartitionServiceImpl` | `partitionService`
    `SecurityContext` | `securityContext`
    `com.hazelcast.internal.ascii.TextCommandService` | `textCommandService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node(HazelcastInstanceImpl hazelcastInstance, Config staticConfig, NodeContext nodeContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeNodeStateToActive()`
    `void` | `changeNodeStateToPassive()`
    `com.hazelcast.internal.cluster.impl.ConfigCheck` | `createConfigCheck()`
    `DiscoveryService` | `createDiscoveryService(DiscoveryConfig discoveryConfig, List<DiscoveryStrategyConfig> aliasedDiscoveryConfigs, Member localMember)`
    `com.hazelcast.internal.cluster.impl.JoinRequest` | `createJoinRequest(boolean withCredentials)`
    `com.hazelcast.internal.cluster.impl.SplitBrainJoinMessage` | `createSplitBrainJoinMessage()`
    `BuildInfo` | `getBuildInfo()`
    `com.hazelcast.client.impl.ClientEngine` | `getClientEngine()`
    `com.hazelcast.internal.cluster.impl.ClusterServiceImpl` | `getClusterService()`
    `Config` | `getConfig()`
    `ClassLoader` | `getConfigClassLoader()`
    `DiscoveryService` | `getDiscoveryService()`
    `EndpointManager` | `getEndpointManager()`
    `<T extends Connection> EndpointManager<T>` | `getEndpointManager(EndpointQualifier qualifier)`
    `Joiner` | `getJoiner()`
    `MemberImpl` | `getLocalMember()`
    `ILogger` | `getLogger(Class clazz)`
    `ILogger` | `getLogger(String name)`
    `LoggingService` | `getLoggingService()`
    `com.hazelcast.internal.management.ManagementCenterService` | `getManagementCenterService()`
    `Address` | `getMasterAddress()`
    `NetworkingService` | `getNetworkingService()`
    `com.hazelcast.spi.impl.NodeEngineImpl` | `getNodeEngine()`
    `NodeExtension` | `getNodeExtension()`
    `com.hazelcast.internal.partition.InternalPartitionService` | `getPartitionService()`
    `HazelcastProperties` | `getProperties()`
    `SecurityService` | `getSecurityService()`
    `com.hazelcast.internal.serialization.InternalSerializationService` | `getSerializationService()`
    `NodeState` | `getState()` Returns the node state.
    `com.hazelcast.internal.ascii.TextCommandService` | `getTextCommandService()`
    `Address` | `getThisAddress()`
    `String` | `getThisUuid()`
    `MemberVersion` | `getVersion()` Returns the codebase version of the node.
    `boolean` | `isLiteMember()`
    `boolean` | `isMaster()`
    `boolean` | `isRunning()` Indicates that node is not shutting down or it has not already shut down
    `void` | `join()`
    `void` | `reset()` Resets the internal cluster-state of the Node to be able to make it ready to join a new cluster.
    `boolean` | `setShuttingDown()`
    `void` | `shutdown(boolean terminate)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hazelcastInstance

          public final HazelcastInstanceImpl hazelcastInstance

    - #### config

          public final com.hazelcast.internal.dynamicconfig.DynamicConfigurationAwareConfig config

    - #### nodeEngine

          public final com.hazelcast.spi.impl.NodeEngineImpl nodeEngine

    - #### clientEngine

          public final com.hazelcast.client.impl.ClientEngine clientEngine

    - #### partitionService

          public final com.hazelcast.internal.partition.impl.InternalPartitionServiceImpl partitionService

    - #### clusterService

          public final com.hazelcast.internal.cluster.impl.ClusterServiceImpl clusterService

    - #### multicastService

          public final com.hazelcast.internal.cluster.impl.MulticastService multicastService

    - #### discoveryService

          public final DiscoveryService discoveryService

    - #### textCommandService

          public final com.hazelcast.internal.ascii.TextCommandService textCommandService

    - #### loggingService

          public final LoggingServiceImpl loggingService

    - #### networkingService

          public final NetworkingService networkingService

    - #### address

          public final Address address

      Member-to-member address only. When the Node is configured with multiple endpoints, this address still represents `ProtocolType.MEMBER` For accessing a full address-map, see `AddressPicker.getPublicAddressMap()`

    - #### securityContext

          public final SecurityContext securityContext

  - ### Constructor Detail

    - #### Node

          public Node(HazelcastInstanceImpl hazelcastInstance,
                      Config staticConfig,
                      NodeContext nodeContext)

  - ### Method Detail

    - #### createDiscoveryService

          public DiscoveryService createDiscoveryService(DiscoveryConfig discoveryConfig,
                                                         List<DiscoveryStrategyConfig> aliasedDiscoveryConfigs,
                                                         Member localMember)

    - #### getManagementCenterService

          public com.hazelcast.internal.management.ManagementCenterService getManagementCenterService()

    - #### getSerializationService

          public com.hazelcast.internal.serialization.InternalSerializationService getSerializationService()

    - #### getClusterService

          public com.hazelcast.internal.cluster.impl.ClusterServiceImpl getClusterService()

    - #### getPartitionService

          public com.hazelcast.internal.partition.InternalPartitionService getPartitionService()

    - #### getMasterAddress

          public Address getMasterAddress()

    - #### getThisAddress

          public Address getThisAddress()

    - #### getLocalMember

          public MemberImpl getLocalMember()

    - #### isMaster

          public boolean isMaster()

    - #### getSecurityService

          public SecurityService getSecurityService()

    - #### shutdown

          public void shutdown(boolean terminate)

    - #### setShuttingDown

          public boolean setShuttingDown()

    - #### isRunning

          public boolean isRunning()

      Indicates that node is not shutting down or it has not already shut down
      Returns:
        true if node is not shutting down or it has not already shut down

    - #### changeNodeStateToActive

          public void changeNodeStateToActive()

    - #### changeNodeStateToPassive

          public void changeNodeStateToPassive()

    - #### reset

          public void reset()

      Resets the internal cluster-state of the Node to be able to make it ready to join a new cluster. After this method is called, a new join process can be triggered by calling `join()`.

      This method is called during merge process after a split-brain is detected.

    - #### getLoggingService

          public LoggingService getLoggingService()

    - #### getLogger

          public ILogger getLogger(String name)

    - #### getLogger

          public ILogger getLogger(Class clazz)

    - #### getProperties

          public HazelcastProperties getProperties()

    - #### getTextCommandService

          public com.hazelcast.internal.ascii.TextCommandService getTextCommandService()

    - #### getNetworkingService

          public NetworkingService getNetworkingService()

    - #### getEndpointManager

          public EndpointManager getEndpointManager()

    - #### getEndpointManager

          public <T extends Connection> EndpointManager<T> getEndpointManager(EndpointQualifier qualifier)

    - #### getConfigClassLoader

          public ClassLoader getConfigClassLoader()

    - #### getNodeEngine

          public com.hazelcast.spi.impl.NodeEngineImpl getNodeEngine()

    - #### getClientEngine

          public com.hazelcast.client.impl.ClientEngine getClientEngine()

    - #### getNodeExtension

          public NodeExtension getNodeExtension()

    - #### getDiscoveryService

          public DiscoveryService getDiscoveryService()

    - #### createSplitBrainJoinMessage

          public com.hazelcast.internal.cluster.impl.SplitBrainJoinMessage createSplitBrainJoinMessage()

    - #### createJoinRequest

          public com.hazelcast.internal.cluster.impl.JoinRequest createJoinRequest(boolean withCredentials)

    - #### createConfigCheck

          public com.hazelcast.internal.cluster.impl.ConfigCheck createConfigCheck()

    - #### join

          public void join()

    - #### getJoiner

          public Joiner getJoiner()

    - #### getThisUuid

          public String getThisUuid()

    - #### getConfig

          public Config getConfig()

    - #### getState

          public NodeState getState()

      Returns the node state.
      Returns:
        current state of the node

    - #### getVersion

          public MemberVersion getVersion()

      Returns the codebase version of the node.
      Returns:
        codebase version of the node

    - #### isLiteMember

          public boolean isLiteMember()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getBuildInfo

          public BuildInfo getBuildInfo()

Copyright © 2020. All rights reserved.